<mat-card appearance="outlined">
  <sentinel-controls [controls]="controls" (itemClicked)="onControlsAction($event)"></sentinel-controls>

  <form [formGroup]="sandboxDefinitionFormGroup.formGroup" (keydown)="keyDownAction($event)">
    <div class="content">
      <!-- URL field-->
      <mat-form-field appearance="outline"
                      (keydown.enter)="$event.preventDefault()">
        <mat-label>Git URL</mat-label>
        <input matInput
               placeholder="https://git-service.com/path/to/sandbox-definitions/sandbox_name.git"
               formControlName="gitUrl" required>
        <button *ngIf="gitUrl.value" matSuffix mat-icon-button
                aria-label="Clear" (click)="gitUrl.setValue('');">
          <mat-icon>close</mat-icon>
        </button>
        <mat-error *ngIf="gitUrl.hasError('required')">This field is required</mat-error>
      </mat-form-field>

      <!-- REVISION field-->
      <mat-form-field appearance="outline"
                      (keydown.enter)="$event.preventDefault()">
        <mat-label>Revision</mat-label>
        <input matInput placeholder="Revision" formControlName="revision"
               required>
        <button *ngIf="revision.value" matSuffix mat-icon-button
                aria-label="Clear" (click)="revision.setValue('');">
          <mat-icon>close</mat-icon>
        </button>
        <mat-error *ngIf="revision.hasError('required')">This field is required</mat-error>
      </mat-form-field>
    </div>
  </form>
</mat-card>

